# APIKeyIPWhitelist

API key IP whitelist management

## GET /v3/account/apiKey/{apiKeyId}/whitelist

> Get all whitelist IP ranges

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"APIKeyIPWhitelist","description":"API key IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountAPIKeyIPWhitelist":{"type":"object","required":["id","active","updatedAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Whitelist ID","readOnly":true},"ipStart":{"type":"string","format":"","description":"Start IP of API key IP whitelist range","nullable":true},"ipEnd":{"type":"string","format":"","description":"End IP of API key IP whitelist range","nullable":true},"ipRange":{"type":"string","format":"","description":"CIDR IP range of API key whitelist","nullable":true},"comments":{"type":"string","format":"","description":"IP whitelist range comments","nullable":true},"active":{"type":"integer","format":"integer","description":"Whether or not this IP whitelist range is active"},"updatedAt":{"type":"integer","format":"integer","description":"Last time this IP whitelist range was updated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey/{apiKeyId}/whitelist":{"get":{"tags":["APIKeyIPWhitelist"],"summary":"Get all whitelist IP ranges","operationId":"getAccountApiKeyWhitelists","parameters":[{"name":"apiKeyId","in":"path","description":"ID of API key","required":true,"schema":{"type":"integer"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountAPIKeyIPWhitelist"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid API key ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/account/apiKey/{apiKeyId}/whitelist

> Add IP range to the whitelist

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"APIKeyIPWhitelist","description":"API key IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountAPIKeyIPWhitelist":{"type":"object","required":["id","active","updatedAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Whitelist ID","readOnly":true},"ipStart":{"type":"string","format":"","description":"Start IP of API key IP whitelist range","nullable":true},"ipEnd":{"type":"string","format":"","description":"End IP of API key IP whitelist range","nullable":true},"ipRange":{"type":"string","format":"","description":"CIDR IP range of API key whitelist","nullable":true},"comments":{"type":"string","format":"","description":"IP whitelist range comments","nullable":true},"active":{"type":"integer","format":"integer","description":"Whether or not this IP whitelist range is active"},"updatedAt":{"type":"integer","format":"integer","description":"Last time this IP whitelist range was updated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey/{apiKeyId}/whitelist":{"post":{"tags":["APIKeyIPWhitelist"],"summary":"Add IP range to the whitelist","operationId":"createAccountApiKeyWhitelist","parameters":[{"name":"apiKeyId","in":"path","description":"ID of API key","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountAPIKeyIPWhitelist"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountAPIKeyIPWhitelist"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid API key ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId}

> Update whitelisted IP range

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"APIKeyIPWhitelist","description":"API key IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountAPIKeyIPWhitelist":{"type":"object","required":["id","active","updatedAt"],"properties":{"id":{"type":"integer","format":"integer","description":"Whitelist ID","readOnly":true},"ipStart":{"type":"string","format":"","description":"Start IP of API key IP whitelist range","nullable":true},"ipEnd":{"type":"string","format":"","description":"End IP of API key IP whitelist range","nullable":true},"ipRange":{"type":"string","format":"","description":"CIDR IP range of API key whitelist","nullable":true},"comments":{"type":"string","format":"","description":"IP whitelist range comments","nullable":true},"active":{"type":"integer","format":"integer","description":"Whether or not this IP whitelist range is active"},"updatedAt":{"type":"integer","format":"integer","description":"Last time this IP whitelist range was updated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId}":{"put":{"tags":["APIKeyIPWhitelist"],"summary":"Update whitelisted IP range","operationId":"updateAccountApiKeyWhitelist","parameters":[{"name":"apiKeyId","in":"path","description":"ID of API key","required":true,"schema":{"type":"integer"}},{"name":"apiKeyWhitelistId","in":"path","description":"Whitelisted IP range ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountAPIKeyIPWhitelist"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountAPIKeyIPWhitelist"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid API key whitelist ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId}

> Delete whitelisted IP range

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"APIKeyIPWhitelist","description":"API key IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey/{apiKeyId}/whitelist/{apiKeyWhitelistId}":{"delete":{"tags":["APIKeyIPWhitelist"],"summary":"Delete whitelisted IP range","operationId":"deleteAccountApiKeyWhitelist","parameters":[{"name":"apiKeyId","in":"path","description":"ID of API key","required":true,"schema":{"type":"integer"}},{"name":"apiKeyWhitelistId","in":"path","description":"Whitelisted IP range ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid API key whitelist ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/apikeyipwhitelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
